ubuntu-application-api3-test_3.0.1+16.04.20160203-0ubuntu1_i386.deb


Advertisement

Description

ubuntu-application-api3-test - test implementation of the Platform API

Distribution: Ubuntu 16.04 LTS (Xenial Xerus)
Repository: Ubuntu Universe i386
Package name: ubuntu-application-api3-test
Package version: 3.0.1+16.04.20160203
Package release: 0ubuntu1
Package architecture: i386
Package type: deb
Installed size: 73 B
Download size: 18.85 KB
Official Mirror: archive.ubuntu.com
This package provides an implementation of the Platform API for testing. It does not communicate with actual hardware, but reads input from a text file. You need to explicitly enable this at runtime. Please see the README for details. For now this provides simulated sensors.

    Download

    Source package: platform-api

    Install Howto

    1. Update the package index:
      # sudo apt-get update
    2. Install ubuntu-application-api3-test deb package:
      # sudo apt-get install ubuntu-application-api3-test

    Files

    • /usr/lib/i386-linux-gnu/libubuntu_application_api_test.so.3
    • /usr/lib/i386-linux-gnu/libubuntu_application_api_test.so.3.0.0
    • /usr/share/doc/ubuntu-application-api3-test/README.md
    • /usr/share/doc/ubuntu-application-api3-test/changelog.Debian.gz
    • /usr/share/doc/ubuntu-application-api3-test/copyright

    Changelog

    2016-02-03 - Simon Fels <simon.busch@canonical.com> platform-api (3.0.1+16.04.20160203-0ubuntu1) xenial; urgency=medium [ CI Train Bot ] * debian/libubuntu-platform-hardware-api3.symbols: update to released version. [ Simon Fels ] * Workaround API break in Android GPS hardware abstraction API on MTK platforms. Each device which need this workaround has to add [ Thomas Voß ] * Expose performance boosting capabilities of the underlying HW/drivers.

    2015-11-27 - Gerry Boland <ci-train-bot@canonical.com> platform-api (3.0.1+16.04.20151127-0ubuntu1) xenial; urgency=medium [ Nick Dedekind ] * Added api for destroying haptics sensor instance (LP:#1351109) [ CI Train Bot ] * debian/libubuntu-application-api3.symbols: update to released version. * No-change rebuild.

    2015-11-24 - Thomas Voß <ci-train-bot@canonical.com> platform-api (3.0.0+16.04.20151124.1-0ubuntu1) xenial; urgency=medium * Revert location-service build-dep to enable dual landings.

    2015-08-05 - CI Train Bot <ci-train-bot@canonical.com> platform-api (3.0.0+15.10.20150805-0ubuntu1) wily; urgency=medium * New rebuild forced.

    2015-07-29 - Thomas Voß <thomas.voss@canonical.com> platform-api (3.0.0+15.10.20150730-0ubuntu2) wily; urgency=medium * Fix LP:#1478845.

    2015-07-27 - CI Train Bot <ci-train-bot@canonical.com> platform-api (3.0.0+15.10.20150727-0ubuntu1) wily; urgency=medium * New rebuild forced.

    2015-07-22 - CI Train Bot <ci-train-bot@canonical.com> platform-api (3.0.0+15.10.20150722-0ubuntu1) wily; urgency=medium [ Andreas Pokorny ] * empty commit for rebuild with libmirclient9 in mir release 0.14.0 [ CI Train Bot ] * New rebuild forced.

    2015-07-07 - CI Train Bot <ci-train-bot@canonical.com> platform-api (3.0.0+15.10.20150707-0ubuntu1) wily; urgency=medium [ Andreas Pokorny ] * in step with mir release 0.14.0

    2015-07-06 - CI Train Bot <ci-train-bot@canonical.com> platform-api (3.0.0+15.10.20150706-0ubuntu1) wily; urgency=medium [ Robert Carr ] * Remove deprecated ua_ui_* functions. * Remove mirserver backend [ CI Train Bot ] * New rebuild forced. [ Steve Langasek ] * Fix pkg-config to declare the dependency on mirclient headers. (LP: #1465958)

    2015-03-26 - CI Train Bot <ci-train-bot@canonical.com> platform-api (2.9.0+15.04.20150326-0ubuntu1) vivid; urgency=medium [ Loïc Minier ] * Fix dependency on transitional package; should fix multi-arch installation of armhf package on an amd64 system.

    Advertisement
    Advertisement